commit d8ecc7bf97934a1e2244788c610c958cacd740bd
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Wed Aug 31 17:03:37 2022 +0100

    Fix non-WITH_CONTENT_SCAN build.
    
    Broken-by: 4e9ed49f8f

diff --git a/src/src/exim.c b/src/src/exim.c
index b9328f017..82e833067 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -1678,6 +1678,17 @@ else
 }
 
 
+/* reset regex expansion variables */
+void
+regex_vars_clear(void)
+{
+regex_match_string = NULL;
+for (int i = 0; i < REGEX_VARS; i++) regex_vars[i] = NULL;
+}
+
+
+
+
 
 /*************************************************
 *          Entry point and high-level code       *
diff --git a/src/src/regex.c b/src/src/regex.c
index 25496f950..3088f0066 100644
--- a/src/src/regex.c
+++ b/src/src/regex.c
@@ -93,16 +93,6 @@ return FAIL;
 }
 
 
-/* reset expansion variables */
-void
-regex_vars_clear(void)
-{
-regex_match_string = NULL;
-for (int i = 0; i < REGEX_VARS; i++) regex_vars[i] = NULL;
-}
-
-
-
 int
 regex(const uschar ** listptr, BOOL cacheable)
 {

